이미 사용 중인 ID 공급자
이 문제가 발생하면 API는 409 Conflict 응답을 반환합니다. type 값은 https://lingo.dev/docs/api/errors/sso-identity-provider-taken입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참고하세요.
ID 공급자가 조직 <organizationId>의 메타데이터 내 다른 위치에 이미 등록되어 있습니다. 이동하려면 Lingo.dev 지원팀에 문의하세요.
필드#
응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로 클라이언트에서 원하는 문구로 바꿔 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
organizationId | string |
예시#
json
{
"detail": "An identity provider already registered elsewhere in the metadata at organization <organizationId>. Contact Lingo.dev support to move it.",
"organizationId": "<organizationId>",
"type": "https://lingo.dev/docs/api/errors/sso-identity-provider-taken",
"status": 409,
"title": "Identity provider taken"
}이 오류를 반환하는 엔드포인트#
PUT /v2/organizations/{orgId}/sso